# Rules without documentation

Rule ID | Missing Help Link | Title |
--------|-------------------|-------|
IDE0005_gen |  | Imports statement is unnecessary. |
IDE0043 |  | Invalid format string |
IDE0120 | <https://learn.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/ide0120> | Simplify LINQ expression |
IDE0130 | <https://learn.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/ide0130> | Namespace does not match folder structure |
IDE0200 | <https://learn.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/ide0200> | Remove unnecessary lambda expression |
IDE0210 | <https://learn.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/ide0210> | Convert to top-level statements |
IDE0211 | <https://learn.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/ide0211> | Convert to 'Program.Main' style program |
IDE0220 | <https://learn.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/ide0220> | Add explicit cast |
IDE0230 | <https://learn.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/ide0230> | Use UTF-8 string literal |
IDE0240 | <https://learn.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/ide0240> | Remove redundant nullable directive |
IDE0241 | <https://learn.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/ide0241> | Remove unnecessary nullable directive |
IDE0250 | <https://learn.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/ide0250> | Make struct 'readonly' |
IDE0260 | <https://learn.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/ide0260> | Use pattern matching |
IDE0270 | <https://learn.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/ide0270> | Use coalesce expression |
IDE0280 | <https://learn.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/ide0280> | Use 'nameof' |
IDE1007 |  |  |
IDE2000 | <https://learn.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/ide2000> | Avoid multiple blank lines |
IDE2001 | <https://learn.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/ide2001> | Embedded statements must be on their own line |
IDE2002 | <https://learn.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/ide2002> | Consecutive braces must not have blank line between them |
IDE2003 | <https://learn.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/ide2003> | Blank line required between block and subsequent statement |
IDE2004 | <https://learn.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/ide2004> | Blank line not allowed after constructor initializer colon |
IDE2005 | <https://learn.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/ide2005> | Blank line not allowed after conditional expression token |
IDE2006 | <https://learn.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/ide2006> | Blank line not allowed after arrow expression clause token |
JSON001 |  | Invalid JSON pattern |
JSON002 |  | Probable JSON string detected |
RE0001 |  | Invalid regex pattern |
RemoveUnnecessaryImportsFixable |  |  |
